Package twisted :: Package spread :: Module pb :: Class _PortalWrapper |
[frames | no frames]

## Class _PortalWrapper

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       _PortalWrapper

Root Referenceable object, used to login to portal.

Method Summary
| `__init__(self, portal, broker)`
| ``remote_login`(self, username)` Start of username/password login.
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
Inherited from Referenceable
`NoneType` | `perspective` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Method Details

### remote_login(self, username) Start of username/password login.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:12 2003 | http://epydoc.sf.net